From: Jiri Slaby <jslaby@suse.cz>
Date: Thu, 11 Jul 2019 09:35:13 +0200
Subject: fix build after y2038 changes in glibc
Patch-mainline: submitted on 2019/07/11
References: QTBUG-76963

SIOCGSTAMP is defined in linux/sockios.h since kernel 5.2. Include that
file wherever needed.

Signed-off-by: Jiri Slaby <jslaby@suse.cz>
---
 chromium/third_party/webrtc/rtc_base/physical_socket_server.cc | 1 +
 1 file changed, 1 insertion(+)

--- a/src/3rdparty/chromium/third_party/webrtc/rtc_base/physicalsocketserver.cc
+++ b/src/3rdparty/chromium/third_party/webrtc/rtc_base/physicalsocketserver.cc
@@ -67,6 +67,7 @@ typedef void* SockOptArg;
 #endif  // WEBRTC_POSIX
 
 #if defined(WEBRTC_POSIX) && !defined(WEBRTC_MAC) && !defined(__native_client__)
+#include <linux/sockios.h>
 
 int64_t GetSocketRecvTimestamp(int socket) {
   struct timeval tv_ioctl;
-- 
2.21.0