Backport from 6.3.2
https://bugreports.qt.io/browse/QTBUG-104238
https://github.com/qutebrowser/qutebrowser/issues/7231
--- a/src/core/content_client_qt.cpp
+++ b/src/core/content_client_qt.cpp
@@ -54,4 +54,5 @@
 #include "media/base/media_switches.h"
 #include "media/base/video_codecs.h"
+#include "media/cdm/supported_audio_codecs.h"
 #include "media/media_buildflags.h"
 #include "ui/base/layout.h"
@@ -276,4 +277,6 @@
 #endif  // BUILDFLAG(USE_PROPRIETARY_CODECS)
 
+            capability->audio_codecs = media::GetCdmSupportedAudioCodecs();
+
             // Add the supported encryption schemes as if they came from the
             // component manifest. This list must match the CDM that is being