Upstream: https://code.qt.io/cgit/qt/qtwebengine-chromium.git/commit/?h=108-based&id=9de0d8a90d9

From 9de0d8a90d9b0176542db8b54d678a9fcbb69337 Mon Sep 17 00:00:00 2001
From: Martin Negyokru <negyokru@inf.u-szeged.hu>
Date: Fri, 3 Mar 2023 16:56:50 +0100
Subject: Fixes for building with GCC-13

Pick-to: 102-based
Pick-to: 87-based
Fixes: QTBUG-111697
Change-Id: I51fca3b3eb627b2617ff5c6c051fa1182671244d
Reviewed-on: https://codereview.qt-project.org/c/qt/qtwebengine-chromium/+/464490
Reviewed-by: Allan Sandfeld Jensen <allan.jensen@qt.io>
---
 chromium/base/debug/profiler.h                                        | 1 +
 chromium/cc/trees/target_property.cc                                  | 2 ++
 chromium/components/metrics/psi_memory_parser.h                       | 2 ++
 chromium/components/viz/common/shared_element_resource_id.h           | 1 +
 chromium/content/public/browser/browsing_data_remover_delegate.h      | 1 +
 chromium/device/base/synchronization/one_writer_seqlock.h             | 1 +
 chromium/device/bluetooth/public/cpp/bluetooth_uuid.h                 | 1 +
 chromium/extensions/common/constants.h                                | 2 ++
 chromium/extensions/renderer/bindings/api_invocation_errors.h         | 1 +
 chromium/gpu/config/gpu_feature_info.h                                | 1 +
 chromium/net/base/parse_number.h                                      | 2 ++
 chromium/net/cookies/cookie_inclusion_status.h                        | 1 +
 .../net/third_party/quiche/src/quiche/quic/core/crypto/quic_hkdf.h    | 1 +
 .../net/third_party/quiche/src/quiche/quic/core/quic_connection_id.h  | 1 +
 chromium/pdf/document_attachment_info.h                               | 1 +
 chromium/sandbox/linux/syscall_broker/broker_file_permission.h        | 1 +
 chromium/third_party/angle/include/GLSLANG/ShaderVars.h               | 1 +
 .../blink/public/common/bluetooth/web_bluetooth_device_id.h           | 1 +
 .../third_party/blink/public/common/interest_group/auction_config.h   | 1 +
 .../blink/public/common/origin_trials/origin_trial_public_key.h       | 1 +
 .../renderer/platform/graphics/paint/effect_paint_property_node.h     | 2 +-
 chromium/third_party/pdfium/constants/annotation_flags.h              | 2 ++
 chromium/third_party/perfetto/include/perfetto/ext/base/uuid.h        | 1 +
 chromium/third_party/vulkan_memory_allocator/include/vk_mem_alloc.h   | 4 ++++
 chromium/third_party/webrtc/rtc_base/third_party/base64/base64.h      | 1 +
 chromium/ui/base/prediction/kalman_filter.h                           | 2 ++
 chromium/ui/events/types/scroll_types.h                               | 2 ++
 chromium/ui/gfx/geometry/linear_gradient.h                            | 1 +
 28 files changed, 38 insertions(+), 1 deletion(-)

diff --git a/src/3rdparty/chromium/base/debug/profiler.h b/src/3rdparty/chromium/base/debug/profiler.h
index 5f0deadd5d3..80c73feb922 100644
--- a/src/3rdparty/chromium/base/debug/profiler.h
+++ b/src/3rdparty/chromium/base/debug/profiler.h
@@ -6,6 +6,7 @@
 #define BASE_DEBUG_PROFILER_H_
 
 #include <stddef.h>
+#include <cstdint>
 
 #include <string>
 
diff --git a/src/3rdparty/chromium/cc/trees/target_property.cc b/src/3rdparty/chromium/cc/trees/target_property.cc
index f6e873a01a1..714bd5efed1 100644
--- a/src/3rdparty/chromium/cc/trees/target_property.cc
+++ b/src/3rdparty/chromium/cc/trees/target_property.cc
@@ -2,6 +2,8 @@
 // Use of this source code is governed by a BSD-style license that can be
 // found in the LICENSE file.
 
+#include <cstdint>
+
 #include "cc/trees/target_property.h"
 
 #include "ui/gfx/animation/keyframe/target_property.h"
diff --git a/src/3rdparty/chromium/components/metrics/psi_memory_parser.h b/src/3rdparty/chromium/components/metrics/psi_memory_parser.h
index b8b22f4ab74..3d7ec9ca63a 100644
--- a/src/3rdparty/chromium/components/metrics/psi_memory_parser.h
+++ b/src/3rdparty/chromium/components/metrics/psi_memory_parser.h
@@ -5,6 +5,8 @@
 #ifndef COMPONENTS_METRICS_PSI_MEMORY_PARSER_H_
 #define COMPONENTS_METRICS_PSI_MEMORY_PARSER_H_
 
+#include <cstdint>
+
 #include <string>
 
 #include "base/gtest_prod_util.h"
diff --git a/src/3rdparty/chromium/components/viz/common/shared_element_resource_id.h b/src/3rdparty/chromium/components/viz/common/shared_element_resource_id.h
index b39a2d3dc18..ca3d8aedaef 100644
--- a/src/3rdparty/chromium/components/viz/common/shared_element_resource_id.h
+++ b/src/3rdparty/chromium/components/viz/common/shared_element_resource_id.h
@@ -5,6 +5,7 @@
 #ifndef COMPONENTS_VIZ_COMMON_SHARED_ELEMENT_RESOURCE_ID_H_
 #define COMPONENTS_VIZ_COMMON_SHARED_ELEMENT_RESOURCE_ID_H_
 
+#include <cstdint>
 #include <string>
 #include <vector>
 
diff --git a/src/3rdparty/chromium/content/public/browser/browsing_data_remover_delegate.h b/src/3rdparty/chromium/content/public/browser/browsing_data_remover_delegate.h
index ee75332f05f..c0168281e81 100644
--- a/src/3rdparty/chromium/content/public/browser/browsing_data_remover_delegate.h
+++ b/src/3rdparty/chromium/content/public/browser/browsing_data_remover_delegate.h
@@ -5,6 +5,7 @@
 #ifndef CONTENT_PUBLIC_BROWSER_BROWSING_DATA_REMOVER_DELEGATE_H_
 #define CONTENT_PUBLIC_BROWSER_BROWSING_DATA_REMOVER_DELEGATE_H_
 
+#include <cstdint>
 #include <string>
 #include <vector>
 #include "base/callback_forward.h"
diff --git a/src/3rdparty/chromium/device/base/synchronization/one_writer_seqlock.h b/src/3rdparty/chromium/device/base/synchronization/one_writer_seqlock.h
index 528b6683ca2..e37a16b81be 100644
--- a/src/3rdparty/chromium/device/base/synchronization/one_writer_seqlock.h
+++ b/src/3rdparty/chromium/device/base/synchronization/one_writer_seqlock.h
@@ -6,6 +6,7 @@
 #define DEVICE_BASE_SYNCHRONIZATION_ONE_WRITER_SEQLOCK_H_
 
 #include <atomic>
+#include <cstdint>
 #include <type_traits>
 
 #include "base/atomicops.h"
diff --git a/src/3rdparty/chromium/device/bluetooth/public/cpp/bluetooth_uuid.h b/src/3rdparty/chromium/device/bluetooth/public/cpp/bluetooth_uuid.h
index 816d3405eb0..15c4004c013 100644
--- a/src/3rdparty/chromium/device/bluetooth/public/cpp/bluetooth_uuid.h
+++ b/src/3rdparty/chromium/device/bluetooth/public/cpp/bluetooth_uuid.h
@@ -5,6 +5,7 @@
 #ifndef DEVICE_BLUETOOTH_PUBLIC_CPP_BLUETOOTH_UUID_H_
 #define DEVICE_BLUETOOTH_PUBLIC_CPP_BLUETOOTH_UUID_H_
 
+#include <cstdint>
 #include <ostream>
 #include <string>
 #include <vector>
diff --git a/src/3rdparty/chromium/extensions/common/constants.h b/src/3rdparty/chromium/extensions/common/constants.h
index bf6bac2b47c..b1a0d56ea64 100644
--- a/src/3rdparty/chromium/extensions/common/constants.h
+++ b/src/3rdparty/chromium/extensions/common/constants.h
@@ -5,6 +5,8 @@
 #ifndef EXTENSIONS_COMMON_CONSTANTS_H_
 #define EXTENSIONS_COMMON_CONSTANTS_H_
 
+#include <cstdint>
+
 #include "base/files/file_path.h"
 #include "base/strings/string_piece_forward.h"
 #include "build/chromeos_buildflags.h"
diff --git a/src/3rdparty/chromium/extensions/renderer/bindings/api_invocation_errors.h b/src/3rdparty/chromium/extensions/renderer/bindings/api_invocation_errors.h
index e21700ecfc4..3b704e83b06 100644
--- a/src/3rdparty/chromium/extensions/renderer/bindings/api_invocation_errors.h
+++ b/src/3rdparty/chromium/extensions/renderer/bindings/api_invocation_errors.h
@@ -5,6 +5,7 @@
 #ifndef EXTENSIONS_RENDERER_BINDINGS_API_INVOCATION_ERRORS_H_
 #define EXTENSIONS_RENDERER_BINDINGS_API_INVOCATION_ERRORS_H_
 
+#include <cstdint>
 #include <set>
 #include <string>
 
diff --git a/src/3rdparty/chromium/gpu/config/gpu_feature_info.h b/src/3rdparty/chromium/gpu/config/gpu_feature_info.h
index 1a7028e4717..b9e951c0a4f 100644
--- a/src/3rdparty/chromium/gpu/config/gpu_feature_info.h
+++ b/src/3rdparty/chromium/gpu/config/gpu_feature_info.h
@@ -5,6 +5,7 @@
 #ifndef GPU_CONFIG_GPU_FEATURE_INFO_H_
 #define GPU_CONFIG_GPU_FEATURE_INFO_H_
 
+#include <cstdint>
 #include <string>
 #include <vector>
 
diff --git a/src/3rdparty/chromium/net/base/parse_number.h b/src/3rdparty/chromium/net/base/parse_number.h
index d6adf388e6f..ea360d1c927 100644
--- a/src/3rdparty/chromium/net/base/parse_number.h
+++ b/src/3rdparty/chromium/net/base/parse_number.h
@@ -5,6 +5,8 @@
 #ifndef NET_BASE_PARSE_NUMBER_H_
 #define NET_BASE_PARSE_NUMBER_H_
 
+#include <cstdint>
+
 #include "base/strings/string_piece.h"
 #include "net/base/net_export.h"
 
diff --git a/src/3rdparty/chromium/net/cookies/cookie_inclusion_status.h b/src/3rdparty/chromium/net/cookies/cookie_inclusion_status.h
index 5f289ddcd94..44f2f9eb1ff 100644
--- a/src/3rdparty/chromium/net/cookies/cookie_inclusion_status.h
+++ b/src/3rdparty/chromium/net/cookies/cookie_inclusion_status.h
@@ -6,6 +6,7 @@
 #define NET_COOKIES_COOKIE_INCLUSION_STATUS_H_
 
 #include <bitset>
+#include <cstdint>
 #include <ostream>
 #include <string>
 #include <vector>
diff --git a/src/3rdparty/chromium/net/third_party/quiche/src/quiche/quic/core/crypto/quic_hkdf.h b/src/3rdparty/chromium/net/third_party/quiche/src/quiche/quic/core/crypto/quic_hkdf.h
index 6a300ed0c0b..3e30f1cb02f 100644
--- a/src/3rdparty/chromium/net/third_party/quiche/src/quiche/quic/core/crypto/quic_hkdf.h
+++ b/src/3rdparty/chromium/net/third_party/quiche/src/quiche/quic/core/crypto/quic_hkdf.h
@@ -5,6 +5,7 @@
 #ifndef QUICHE_QUIC_CORE_CRYPTO_QUIC_HKDF_H_
 #define QUICHE_QUIC_CORE_CRYPTO_QUIC_HKDF_H_
 
+#include <cstdint>
 #include <vector>
 
 #include "absl/strings/string_view.h"
diff --git a/src/3rdparty/chromium/net/third_party/quiche/src/quiche/quic/core/quic_connection_id.h b/src/3rdparty/chromium/net/third_party/quiche/src/quiche/quic/core/quic_connection_id.h
index 52f15017283..db4d3108497 100644
--- a/src/3rdparty/chromium/net/third_party/quiche/src/quiche/quic/core/quic_connection_id.h
+++ b/src/3rdparty/chromium/net/third_party/quiche/src/quiche/quic/core/quic_connection_id.h
@@ -5,6 +5,7 @@
 #ifndef QUICHE_QUIC_CORE_QUIC_CONNECTION_ID_H_
 #define QUICHE_QUIC_CORE_QUIC_CONNECTION_ID_H_
 
+#include <cstdint>
 #include <string>
 #include <vector>
 
diff --git a/src/3rdparty/chromium/pdf/document_attachment_info.h b/src/3rdparty/chromium/pdf/document_attachment_info.h
index e0fffc2ca4e..095463fcb5b 100644
--- a/src/3rdparty/chromium/pdf/document_attachment_info.h
+++ b/src/3rdparty/chromium/pdf/document_attachment_info.h
@@ -5,6 +5,7 @@
 #ifndef PDF_DOCUMENT_ATTACHMENT_INFO_H_
 #define PDF_DOCUMENT_ATTACHMENT_INFO_H_
 
+#include <cstdint>
 #include <string>
 
 
diff --git a/src/3rdparty/chromium/sandbox/linux/syscall_broker/broker_file_permission.h b/src/3rdparty/chromium/sandbox/linux/syscall_broker/broker_file_permission.h
index b167ffb099a..2347d546167 100644
--- a/src/3rdparty/chromium/sandbox/linux/syscall_broker/broker_file_permission.h
+++ b/src/3rdparty/chromium/sandbox/linux/syscall_broker/broker_file_permission.h
@@ -6,6 +6,7 @@
 #define SANDBOX_LINUX_SYSCALL_BROKER_BROKER_FILE_PERMISSION_H_
 
 #include <bitset>
+#include <cstdint>
 #include <string>
 
 #include "sandbox/sandbox_export.h"
diff --git a/src/3rdparty/chromium/third_party/angle/include/GLSLANG/ShaderVars.h b/src/3rdparty/chromium/third_party/angle/include/GLSLANG/ShaderVars.h
index 4b76d33af2f..4db1902d1b7 100644
--- a/src/3rdparty/chromium/third_party/angle/include/GLSLANG/ShaderVars.h
+++ b/src/3rdparty/chromium/third_party/angle/include/GLSLANG/ShaderVars.h
@@ -12,6 +12,7 @@
 
 #include <algorithm>
 #include <array>
+#include <cstdint>
 #include <string>
 #include <vector>
 
diff --git a/src/3rdparty/chromium/third_party/blink/public/common/bluetooth/web_bluetooth_device_id.h b/src/3rdparty/chromium/third_party/blink/public/common/bluetooth/web_bluetooth_device_id.h
index 7a74887af96..058870eef35 100644
--- a/src/3rdparty/chromium/third_party/blink/public/common/bluetooth/web_bluetooth_device_id.h
+++ b/src/3rdparty/chromium/third_party/blink/public/common/bluetooth/web_bluetooth_device_id.h
@@ -6,6 +6,7 @@
 #define THIRD_PARTY_BLINK_PUBLIC_COMMON_BLUETOOTH_WEB_BLUETOOTH_DEVICE_ID_H_
 
 #include <array>
+#include <cstdint>
 #include <string>
 
 #include "third_party/blink/public/common/common_export.h"
diff --git a/src/3rdparty/chromium/third_party/blink/public/common/interest_group/auction_config.h b/src/3rdparty/chromium/third_party/blink/public/common/interest_group/auction_config.h
index 5151ab7483f..51e7e1a58f0 100644
--- a/src/3rdparty/chromium/third_party/blink/public/common/interest_group/auction_config.h
+++ b/src/3rdparty/chromium/third_party/blink/public/common/interest_group/auction_config.h
@@ -7,6 +7,7 @@
 
 #include <stdint.h>
 
+#include <cstdint>
 #include <limits>
 #include <string>
 #include <vector>
diff --git a/src/3rdparty/chromium/third_party/blink/public/common/origin_trials/origin_trial_public_key.h b/src/3rdparty/chromium/third_party/blink/public/common/origin_trials/origin_trial_public_key.h
index c1b5f59f57e..246200991a5 100644
--- a/src/3rdparty/chromium/third_party/blink/public/common/origin_trials/origin_trial_public_key.h
+++ b/src/3rdparty/chromium/third_party/blink/public/common/origin_trials/origin_trial_public_key.h
@@ -6,6 +6,7 @@
 #define THIRD_PARTY_BLINK_PUBLIC_COMMON_ORIGIN_TRIALS_ORIGIN_TRIAL_PUBLIC_KEY_H_
 
 #include <array>
+#include <cstdint>
 
 namespace blink {
 
diff --git a/src/3rdparty/chromium/third_party/blink/renderer/platform/graphics/paint/effect_paint_property_node.h b/src/3rdparty/chromium/third_party/blink/renderer/platform/graphics/paint/effect_paint_property_node.h
index e40a7620795..745b7b0891f 100644
--- a/src/3rdparty/chromium/third_party/blink/renderer/platform/graphics/paint/effect_paint_property_node.h
+++ b/src/3rdparty/chromium/third_party/blink/renderer/platform/graphics/paint/effect_paint_property_node.h
@@ -122,7 +122,7 @@ class PLATFORM_EXPORT EffectPaintPropertyNode
 
     // An identifier for a document transition shared element. `id.valid()`
     // returns true if this has been set, and false otherwise.
-    DocumentTransitionSharedElementId document_transition_shared_element_id;
+    blink::DocumentTransitionSharedElementId document_transition_shared_element_id;
 
     // An identifier to tag shared element resources generated and cached in the
     // Viz process. This generated resource can be used as content for other
diff --git a/src/3rdparty/chromium/third_party/pdfium/constants/annotation_flags.h b/src/3rdparty/chromium/third_party/pdfium/constants/annotation_flags.h
index d2731dac7a3..46bc87ef92a 100644
--- a/src/3rdparty/chromium/third_party/pdfium/constants/annotation_flags.h
+++ b/src/3rdparty/chromium/third_party/pdfium/constants/annotation_flags.h
@@ -5,6 +5,8 @@
 #ifndef CONSTANTS_ANNOTATION_FLAGS_H_
 #define CONSTANTS_ANNOTATION_FLAGS_H_
 
+#include <cstdint>
+
 namespace pdfium {
 namespace annotation_flags {
 
diff --git a/src/3rdparty/chromium/third_party/perfetto/include/perfetto/ext/base/uuid.h b/src/3rdparty/chromium/third_party/perfetto/include/perfetto/ext/base/uuid.h
index 1b4c53815bc..472042fabc4 100644
--- a/src/3rdparty/chromium/third_party/perfetto/include/perfetto/ext/base/uuid.h
+++ b/src/3rdparty/chromium/third_party/perfetto/include/perfetto/ext/base/uuid.h
@@ -18,6 +18,7 @@
 #define INCLUDE_PERFETTO_EXT_BASE_UUID_H_
 
 #include <array>
+#include <cstdint>
 #include <string>
 
 #include "perfetto/ext/base/optional.h"
diff --git a/src/3rdparty/chromium/third_party/vulkan_memory_allocator/include/vk_mem_alloc.h b/src/3rdparty/chromium/third_party/vulkan_memory_allocator/include/vk_mem_alloc.h
index b7c586b80eb..9e073d4e1b8 100644
--- a/src/3rdparty/chromium/third_party/vulkan_memory_allocator/include/vk_mem_alloc.h
+++ b/src/3rdparty/chromium/third_party/vulkan_memory_allocator/include/vk_mem_alloc.h
@@ -2393,6 +2393,10 @@ VMA_CALL_PRE void VMA_CALL_POST vmaFreeVirtualBlockStatsString(VmaVirtualBlock V
 #include <cstring>
 #include <utility>
 
+#if VMA_STATS_STRING_ENABLED
+#include <cstdio>
+#endif  // VMA_STATS_STRING_ENABLED
+
 #if VMA_RECORDING_ENABLED
     #include <chrono>
     #if defined(_WIN32)
diff --git a/src/3rdparty/chromium/third_party/webrtc/rtc_base/third_party/base64/base64.h b/src/3rdparty/chromium/third_party/webrtc/rtc_base/third_party/base64/base64.h
index 4190a79dc09..5a9285f0071 100644
--- a/src/3rdparty/chromium/third_party/webrtc/rtc_base/third_party/base64/base64.h
+++ b/src/3rdparty/chromium/third_party/webrtc/rtc_base/third_party/base64/base64.h
@@ -12,6 +12,7 @@
 #ifndef RTC_BASE_THIRD_PARTY_BASE64_BASE64_H_
 #define RTC_BASE_THIRD_PARTY_BASE64_BASE64_H_
 
+#include <cstdint>
 #include <string>
 #include <vector>
 
diff --git a/src/3rdparty/chromium/ui/base/prediction/kalman_filter.h b/src/3rdparty/chromium/ui/base/prediction/kalman_filter.h
index bee3f946e9c..f7c8716ca33 100644
--- a/src/3rdparty/chromium/ui/base/prediction/kalman_filter.h
+++ b/src/3rdparty/chromium/ui/base/prediction/kalman_filter.h
@@ -5,6 +5,8 @@
 #ifndef UI_BASE_PREDICTION_KALMAN_FILTER_H_
 #define UI_BASE_PREDICTION_KALMAN_FILTER_H_
 
+#include <cstdint>
+
 #include "base/component_export.h"
 #include "ui/gfx/geometry/matrix3_f.h"
 
diff --git a/src/3rdparty/chromium/ui/events/types/scroll_types.h b/src/3rdparty/chromium/ui/events/types/scroll_types.h
index be6b2779f41..dbe2e5cf746 100644
--- a/src/3rdparty/chromium/ui/events/types/scroll_types.h
+++ b/src/3rdparty/chromium/ui/events/types/scroll_types.h
@@ -5,6 +5,8 @@
 #ifndef UI_EVENTS_TYPES_SCROLL_TYPES_H_
 #define UI_EVENTS_TYPES_SCROLL_TYPES_H_
 
+#include <cstdint>
+
 namespace ui {
 
 enum class ScrollGranularity : uint8_t {
diff --git a/src/3rdparty/chromium/ui/gfx/geometry/linear_gradient.h b/src/3rdparty/chromium/ui/gfx/geometry/linear_gradient.h
index 65cd4cb07c7..ab0ce5808c3 100644
--- a/src/3rdparty/chromium/ui/gfx/geometry/linear_gradient.h
+++ b/src/3rdparty/chromium/ui/gfx/geometry/linear_gradient.h
@@ -6,6 +6,7 @@
 #define UI_GFX_LINEAR_GRADIENT_H_
 
 #include <array>
+#include <cstdint>
 #include <string>
 
 #include "ui/gfx/geometry/geometry_skia_export.h"
-- 
cgit v1.2.3